# FIXME: fix debug stuff
%global debug_package %{nil}

Name:		wireguard-tools
Version:	0.0.20190123
Release:	%mkrel 1
URL:		https://www.wireguard.com/
Summary:	Fast, modern, secure VPN tunnel
License:	GPLv2
Group:		Networking/Other
Source0:	https://git.zx2c4.com/WireGuard/snapshot/WireGuard-%{version}.tar.xz
BuildRequires:	pkgconfig(systemd)
BuildRequires: 	pkgconfig(libmnl)
Requires:	kmod(wireguard.ko)

%description
WireGuard is a novel VPN that runs inside the Linux Kernel and uses
state-of-the-art cryptography (the "Noise" protocol). It aims to be
faster, simpler, leaner, and more useful than IPSec, while avoiding
the massive headache. It intends to be considerably more performant
than OpenVPN. WireGuard is designed as a general purpose VPN for
running on embedded interfaces and super computers alike, fit for
many different circumstances. It runs over UDP.

This package provides the wg binary for controling WireGuard.

%prep
%setup -q -n WireGuard-%{version}
%autopatch -p1

%build
cd %{_builddir}/WireGuard-%{version}/src
%make_build tools

%install
cd %{_builddir}/WireGuard-%{version}/src/tools
%make_install

%files
%doc README.md
%{_bindir}/wg
%{_bindir}/wg-quick
%{_datadir}/bash-completion/completions/wg
%{_datadir}/bash-completion/completions/wg-quick
%{_unitdir}/wg-quick@.service
%{_mandir}/man8/wg.8*
%{_mandir}/man8/wg-quick.8*


%changelog
* Fri Feb 08 2019 tmb <tmb> 0.0.20190123-1.mga6
+ Revision: 1364256
- update to 0.0.20190123
- tools: curve25519: handle unaligned loads/stores safely
- update to 0.0.20181218
- update to 0.0.20181018
- wg.8: specify that wg(8) shows runtime info too
- wg.8: AllowedIPs isn't actually required
- update to 0.0.20181007
- udpate to 0.0.20180925
- update to 0.0.20180904
- update to 0.0.20180809
- update to 0.0.20180802
- update to 0.0.20180708
- update to 0.0.20180613
- update to 0.0.20180519
- allowedips: set pointer to null before freeing
- update to 0.0.20180420
- update to 0.0.20180413
- update to 0.0.20180304
- update to 0.0.20180218
- update to 0.0.20180202
- update to 0.0.20180118
- update to 0.0.20171221
- update to 0.0.20171127
- add to mga6 for kernel 4.14

* Wed Nov 22 2017 tmb <tmb> 0.0.20171122-1.mga7
+ Revision: 1178914
- update to 0.0.20171122

* Thu Nov 16 2017 tmb <tmb> 0.0.20171111-1.mga7
+ Revision: 1177583
- update to 0.0.20171111

* Fri Nov 03 2017 tmb <tmb> 0.0.20171101-1.mga7
+ Revision: 1175727
- imported package wireguard-tools

